Go to the latest version of this document.

# ``twisted`.`words`.`im`.`ircsupport`.`IRCGroup``

class documentation

`class IRCGroup(basesupport.AbstractGroup): (source)`

Constructor: `IRCGroup(name, account)`

Implements interfaces: `twisted.words.im.interfaces.IGroup`

View In Hierarchy

Undocumented

Method | `imgroup_testAction` | Undocumented
Method | `imtarget_kick` | Undocumented
Method | `leave` | Depart this group.
Method | `sendGroupMessage` | Send a message to this group.
Method | `setTopic` | Set this Groups topic on the server.

Inherited from `AbstractGroup`:

Method | `__init__` | Undocumented
Method | `__repr__` | Undocumented
Method | `__str__` | Undocumented
Method | `getGroupCommands` | finds group commands
Method | `getTargetCommands` | finds group commands
Method | `join` | Undocumented
Instance Variable | `account` | Undocumented
Instance Variable | `name` | Undocumented

def imgroup_testAction(self): (source)

Undocumented

def imtarget_kick(self, target): (source)

Undocumented

def leave(self): (source)
from `twisted.words.im.interfaces.IGroup`
overrides `twisted.words.im.basesupport.AbstractGroup.leave`

Depart this group.

def sendGroupMessage(self, text, meta={}): (source)
from `twisted.words.im.interfaces.IGroup`

Send a message to this group.

Parameters
text:str | Undocumented
meta | Undocumented

metadata:dict

Valid keys for this dictionary include:

- `'style'`: associated with one of:
  - `'emote'`: indicates this is an action

def setTopic(self, topic): (source)
from `twisted.words.im.interfaces.IGroup`

Set this Groups topic on the server.

Parameters
topic | Undocumented
text:string | Undocumented